Skip to content
GAMPEONCreate
New project

Pin a post to the top of the timeline

PUT
/v1/posts/{id}/pin
curl --request PUT \
--url https://api.gampeon.com/v1/posts/1/pin \
--header 'Authorization: Bearer <token>'

One pinned post per account, studio and game; pinning another one replaces it.

Not available with access tokens.

id
required
integer
>= 1

Post ID

Pinned

Media typeapplication/json
object
pinned
required
boolean

Example generated

{
"pinned": true
}

Error codes: unauthorized

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: token_not_allowed, forbidden

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: not_found

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: post_removed

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Report a problem with this pageOther ways to give feedback